PROTOIZE(1)

NAME
protoize, unprotoize - create/remove ANSI prototypes from C code

SYNOPSIS
protoize [options] files ....
unprotoize [options] files ....

DESCRIPTION
This manual page documents briefly the protoize, and unprotoize commands. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

protoize is an optional part of GNU C. You can use it to add prototypes to a program, thus converting the program to ANSI C in one respect. The companion program `unprotoize' does the reverse: it removes argument types from any prototypes that are found.

When you run these programs, you must specify a set of source files as command line arguments.

OPTIONS
These programs are non-trivial to operate, and it is neither possible nor desirable to properly summarize options in this man page. Read the info documentation for more information.

SEE ALSO
The programs are documented fully by Gcc: The use and the internals of the GNU compiler, available via the Info system. The documentation for protoize/unprotoize can be found in the subsection "Invoking GCC", under "Running Protoize."

AUTHOR
This manual page was written by Galen Hazelwood, for the Debian GNU/Linux system.